Subject: Re: bug#55706: 29.0.50; files test fails about 20% of the time

From: Michael Albinus <[email-masked]>
Date: Mon, 30 May 2022 18:49:33 +0200

Lars Ingebrigtsen <[email-masked]> writes:

Hi,

> I can't reproduce this reliably, but in about 20% of the times I run
> "make check", this test fails:
>
> Test files-tests-file-name-non-special-file-in-directory-p condition:
>     (ert-test-failed
>      ((should
>        (file-in-directory-p nospecial nospecial-tempdir))
>       :form
>       (file-in-directory-p "/:/tmp/files-testsuqfdq1.special" "/:/tmp/")
>       :value nil))
>    FAILED   52/112  files-tests-file-name-non-special-file-in-directory-p (0.001158 sec) at lisp/files-tests.el:692
>
> Michael wrote the test, so I've added him to the CCs.

Strange. I have applied 100 times "make -C test files-tests". It always
returns

--8<---------------cut here---------------start------------->8---
Ran 112 tests, 111 results as expected, 1 unexpected (2022-05-30 18:34:19+0200, 1.005432 sec)

1 unexpected results:
   PASSED  files-load-elc-gz-file
--8<---------------cut here---------------end--------------->8---

(This might also be worth to be investigated.) No error of
files-tests-file-name-non-special-file-in-directory-p.

Perhaps the parallel nature of the test runs make it happen? Does it
also fail occasionally when you call "make -j1 ..."?

Furthermore, (file-in-directory-p "/:/tmp/files-testsuqfdq1.special" "/:/tmp/")
should always return non-nil, unless the directory /tmp does not exist,
or is not accessible. Could this happen in your environment, temporarily?

Best regards, Michael.